[tr] Pardus 2011.2 x86-64’e Firefox 10, KDE 4.8 ve Çekirdek 3.2.2 sürümlerini yüklemek yani bir nevi Pardus 2011.3 kurmak (deneysel)

Açık kaynak, Özgürlükiçin, Open-Source

Unutmayınız ki burada anlatılanlar sisteminize zarar verebilir. Bu riski kabul ederek yazıda olanları deneyiniz. Hiç bir sorumluluk kabul etmiyorum. Başlamadan önce sisteminizin devel deposundaki bütün güncellemeleri yaptığını varsayıyorum. Yapmamışsanız şu komutları sırasıyla vererek yapıyoruz:

sudo pisi ar pardus-devel http://packages.pardus.org.tr/pardus/2011.2/devel/x86_64/pisi-index.xml.xz
sudo pisi dr pardus
sudo pisi er pardus-devel
sudo pisi up

Ayrıca NVIDIA veya ATI’nin kapalı kodlu sürücülerini kullananlar sürücülerin pisi paketlerini 3.2.2 çekirdeği altında derleyip kullanmalılar. Aksi durumda bilgisayarınızı yeniden başlattığınızda karşınıza çıkacak olan simsiyah bir ekran olabilir. Başka bir donanım için kapalı kaynak sürücü kullanıyorsanız durum gene aynı… Bütün işlemleri bitirdikten sonra sisteminiz bu vidyodaki gibi en son sürüm yazılımlara kavuşması beklenmektedir:

Şimdi başlayalım, önce bir derin nefes alalım 🙂 Artık her neye inanıyorsanız (Ulu manito, çiçek, ağaç, inek, böcek veya herneyse) onun size yardımcı olmasını dileyin 🙂 İndireceğiniz bütün paketler Ozan Çağlayan, Anıl Özbek, Metin Akdere ve benim çalışmalarımın tek bir yerde birleştirilmiş hali olarak düşünülebilir. Emeği geçen herkese burada teşekkür etmek isterim. Alt-f2 tuşlarına basalım çıkan kutucuğa konsole yazıp klavyenizden enter tuşuna basalım. Aşağıdaki komutu verip dosyaların inmesini dört gözle bekleyelim. İşlem uzun sürecektir yaklaşık 1 Gb kadar dosya indireceksiniz:

wget -r http://dl.dropbox.com/u/60411669/index.html

Bütün dosyalar indikten sonra inen dizin içerisinde pisi dosyalarının olduğu dizin altında aşağıdaki komutu çağıralım:

cd dl.dropbox.com/u/60411669/
sudo pisi dc
sudo pisi clean
sudo pisi it *.pisi --ignore-file-conflicts --ignore-package-conflicts

Uzunca bir yüklemeden sonra pisi paketlerinin hepsinin yüklenmiş olması gerekiyor. Sisteminizi yeniden başlattığınızda Pardus düzgün açılabiliyorsa en son sürüm yazılımlara kavuşmuş olacaksınız. Bütün bu paketleri sysinfo çıktısı aşağıdaki gibi olan bir bilgisayar ile denedim.

Sysinfo for 'SAHILEVLERI': Linux 3.2.2 running KDE Development Platform 4.8.00 (4.8.0, CPU: Intel(R) Core i5-2520M CPU @ 2.50GHz at 2501 MHz (4988 bogomips), HD: 180/347GB, RAM: 3257/3835MB, 219 proc's, 1.32h up

Bütün bunlardan sonra ümit ediyorumki çalıştay sonrası Pardus kendine gelecek ve böyle kullanıcının güncellemek için 10 takla atması gerekmeyecektir.

Hepinize saygılarım ve sevgilerimle, umarım bu yazıyla istediğinize kavuşmuşsunuzdur.

Kaan

23 thoughts on “[tr] Pardus 2011.2 x86-64’e Firefox 10, KDE 4.8 ve Çekirdek 3.2.2 sürümlerini yüklemek yani bir nevi Pardus 2011.3 kurmak (deneysel)

  1. Kaan, Turgay ve slarikan bugün birlikte IRC’de kernel 3.2.2, kde 4.8 ve firefox 10 pisi paketlerini kurmaya uğraştık. Konuşma metinlerini sudrap’a yapıştırdım. Emeği geçen herkese tekrar teşekkür ediyorum. Umarım, bunlar gelecek için güzel adımlar olacak.

    http://www.sudrap.org/paste/text/86494/

  2. Öncelikle emeği geçen herkesin eline sağlık.

    Birkaç anlamadığım nokta var.

    Sitemde devel deposuna mı geçmeliyiz? Geçmeliysek Pardus’un gecelik oluşan sürümleri devel deposundan oluşuyor diye biliyorum. Önce bilgisayara bu İSO’yu kurup sonra bu paketleri kursak olmaz olur mu?

    Bu indireceklerimiz pisi paketi mi? Sonradan mı derliyoruz?

    Bu indirdiklerimizin içinde Kernel 3.2.2 var mı? Yoksa önceden ayrıca kurmak mı gerekiyor?

    Bunu bir seçki haline getirip yayımlarsanız yeni bilgisayarlara da Pardus kurmak kolaylaşır diye düşünüyorum. PASO 2 ile seçki oluşturamaz mıyız?

    Yeniden çok teşşekkür ederim.

    1. Selam,
      Sistemde en güncel depo olan devel depoya geçilerek tüm güncellemelerin yapılması gerekiyor.
      Yukarıdada verildiği gibi http://dl.dropbox.com/u/60411669/index.html adresinde 64 Bit pisi paketleri hazır halde bulunuyor.
      bulunan paketler
      kernel 3.2.2
      firefox 10
      kde 4.8

      kernel+kde aynı anda kuruluyor ayrıca kurulum yapılmıyor. Kurlum işlemi bittiğinde sistemi yeniden başlattığınızde yeni kernel ve kde ile başlayacaktır.

  3. webkit 4.8 bağımlılığı istedi ben de 2 saaten beri hala kurmakla uğraşıyor. nvidia currentı playgrounddan mı derlemek gerekiyor çekirdeği kurduktan sonra sabırsızlıkla webkiti bekliyorum. elinize sağlık inşallah kurulumla alakalı başka birşey istemez

  4. ayrıca bu kurulum 2011.3 değil 2012 olarak da isimlendirilebilir malum ara sürümlerde pek kernel yükseltilmiyor. bir iso oluşturulursa topluluk dağıtım adayı olarak değerlendirilebilir

    1. fatih bey benim sistem 3.2.2 kerneli çalıştırmadı. amd turion 64 x2 mobile teknology tl-58 (1.9 ghz, 2*512 kb l2 cache). pisi bi ile de kurarken(sanbox ihlali) hata veriyor. 2 gb ram var. ne tavsiye edersiniz

  5. Üzerine http://cekirdek.pardus.org.tr/~farslan/test/ adresindeki xorg 7.11’i de ekleyince çok tadından yenmez oldu.
    Gerçi açılması için 40 takla atsam da xorg kaynaklı problemler çok oluyor kesinlikle pre-deneysel de diyebiliriz 🙂 ama benim için pazar günümün büyük kısmı gitse de denemeye değdi. Emeği geçen tüm arkadaşlara teşekkür ederim.

  6. 60411669 $ sudo pisi it *.pisi –ignore-file-conflicts –ignore-package-conflicts
    Sistem hatası. Program sonlandırıldı.
    Dış bağımlılıklar sağlanamadı: qt-webkit sürüm 4.8.0
    Genel yardım için lütfen ‘pisi help’ komutunu kullanınız.
    Geri izleme verisi almak için lütfen –debug seçeneğini kullanın.

    hatası oluştu şimdi ne yapmam gerekir???

  7. Buradaki işlemleri uyguladım ama bende uname -a komutunun çıktısı:
    Linux pardus2011 2.6.37.6 #1 SMP Wed Mar 30 15:28:53 EEST 2011 x86_64 x86_64 x86_64 GNU/Linux
    şeklinde oluyor çekirdek güncellenmemiş galiba ?

    ve ses sorunu olarak Kulaklık taktığımda bilgisayarın sesi kesilmiyor hem kulaklık hemde bilgisayardan ses geliyor @isezen in söylediği işlemleri yapıncada sorun düzelmedi .

  8. Oyun alanımdan istediğiniz paketi çekip derleyebilirsiniz. Tekrar hatırlatmamda fayda var: paketler kararlı çalışmayabilir, sisteminiz bu işlemden zarar görebilir. Bu durumda sorumluluk kabul etmiyorum.

    1. Derlemeye çalışırken sandbox ilhlali şeklinde bir hata alıyorum eğer pisi paketleri varsa dropbox ta yer sorunu da yaşıyorsanız bir şekilde bana ulaştırmanız mümkünse ben kendi drop boxumda seve tutarım

  9. Emeğiniz için teşekkürler ama malesef artık verdiğiniz link çalışmıyor kde karnel ve firefox için güncellemelerin linkini tekrar yenilermisiniz şimdiden teşekkürler

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s